
From: Adrian Bunk <bunk@stusta.de>

afs_voltypes is only used #ifdef __KDEBUG, and even then it doesn't has to be
a global symbol.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null               |    0 
 25-akpm/fs/afs/types.h  |    2 --
 25-akpm/fs/afs/volume.c |    4 +++-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/afs/types.h~afs-afs_voltypes-isnt-always-required-fwd fs/afs/types.h
--- 25/fs/afs/types.h~afs-afs_voltypes-isnt-always-required-fwd	2004-12-11 22:32:56.202187360 -0800
+++ 25-akpm/fs/afs/types.h	2004-12-11 22:32:56.207186600 -0800
@@ -26,8 +26,6 @@ typedef enum {
 	AFSVL_BACKVOL,			/* backup volume */
 } __attribute__((packed)) afs_voltype_t;
 
-extern const char *afs_voltypes[];
-
 typedef enum {
 	AFS_FTYPE_INVALID	= 0,
 	AFS_FTYPE_FILE		= 1,
diff -L fs/afs/types.h.old -puN /dev/null /dev/null
diff -puN fs/afs/volume.c~afs-afs_voltypes-isnt-always-required-fwd fs/afs/volume.c
--- 25/fs/afs/volume.c~afs-afs_voltypes-isnt-always-required-fwd	2004-12-11 22:32:56.203187208 -0800
+++ 25-akpm/fs/afs/volume.c	2004-12-11 22:32:56.207186600 -0800
@@ -24,7 +24,9 @@
 #include "vlclient.h"
 #include "internal.h"
 
-const char *afs_voltypes[] = { "R/W", "R/O", "BAK" };
+#ifdef __KDEBUG
+static const char *afs_voltypes[] = { "R/W", "R/O", "BAK" };
+#endif
 
 #ifdef CONFIG_AFS_FSCACHE
 static fscache_match_val_t afs_volume_cache_match(void *target,
diff -L fs/afs/volume.c.old -puN /dev/null /dev/null
_
